Subject: Re: bug#59328: 29.0.50; `seq-keep' implementation only valid for lists

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Nov 2022 14:04:27 +0100

Eli Zaretskii <[email-masked]> writes:

> > #+begin_src emacs-lisp
> > (defun seq-keep (function sequence)
> >   (seq-filter #'identity (seq-map function sequence)))
> > #+end_src
>
> This makes sense to me, so please go ahead and install, preferably
> with a test for non-list cases.

I don't think adding a test case to Emacs is possible - all currently
existing counterexamples I found (stream.el, myers.el) are in Elpa or
somewhere else, but not in the Emacs repo.  So I guess it's ok to go
without a test?

Michael.